*{margin: 0px;
font-family: Arial, Helvetica, sans-serif;
box-sizing: border-box;
height: min-content;
}

.mainGame{
    background-color: #548687;
    text-align: center;
    height:750px ;
    width: 100%;
    padding-top: 5%;
}

.container {
    height: 70vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.game{
    height: 60vmin;
    width: 60vmin;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1.5vmin;
}

@media (max-width: 600px) {
    .game{
        height: 80vmin;
        width: 80vmin;
    }
}


.newbox{
    height: 18vmin;
    width: 18vmin;
    border-radius: 1rem;
    border: none;
    box-shadow: 0 0 1rem rgba(0 ,0,0,0.5);
    font-size: 10vmin;
    background-color: #ffffc7;
    cursor: pointer;
}
 
#reset-btn{
    padding: 1rem;
    font-size: 1.5rem;
    background-color: cornflowerblue;
    color: #232f3e;
    border-radius: 10rem;
    border: none;
    cursor: pointer;
}

#msg{
    color: white;
    font-size: 5vmin;
}

.msg-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 10vmin;
    align-items: center;
    justify-content: center;
    cursor: default;
}

.hide {
    display: none;
}

#new-btn{
    padding: 1rem;
    font-size: 2rem;
    background-color: #ff0000;
    color: #a6ff00;
    border-radius: 10rem;
    border: none;
    cursor: pointer;
}

#turnO{
    color: #ff005f;
    font-size: 7vmin;
}

#turnX{
    color: #00ffe5;
    font-size: 7vmin;
}


.containerO{
    visibility: visible;    
    cursor:default;
}
.containerX{
    visibility: hidden;
    cursor: default;
}